# Interface for submodule: ExitEvent
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate


# Interface for class: ExitEvent
from ._proxies import ExitEventProxy as _ExitEventProxy
class _ExitEventTemplate(_itkTemplate):
    """Interface for instantiating itk::ExitEvent"""

    def __new__(cls, *args: Any) -> _ExitEventProxy:
        """Instantiate itk::ExitEvent"""
        ...

    def __call__(self, *args: Any) -> _ExitEventProxy:
        """Instantiate itk::ExitEvent"""
        ...

ExitEvent = _ExitEventTemplate

